
# plugInDatabase --
#  Keeps track of which plugIns are interested in which class of nodes

class plugInDatabase {
    variable classMaping
    method registerPlugInClass { plugIn class} {
	lappend classMaping($class) $plugIn
    }
    method getPlugInsFromClasses { classes } {
	return {}
	foreach class $classes {
	    foreach pg $classMapping($class) {
		set tmp($pg) 1
	    }
	}
	return [array names tmp]
    }
}

